# WOZ-waarde API

Vind de meest recente en historische WOZ waardes van elk (woon)object in Nederland. Deze API kan gebruikt worden om trendanalyses te maken, voor marktsegmentatie en natuurlijk voor het opstellen van WOZ-bezwaren.

### Voor wie is het?

* Vastgoedprofessionals die zich bezighouden met WOZ-bezwaren
* Marktsegmentatie en trendanalyses

## GET /woz-value

> Returns all WOZ values from 2015 onwards.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"WozValueResponse":{"properties":{"id":{"type":"string","title":"Bag nummeraanduidingid","description":"Identification number according to the BAG."},"address":{"type":"string","title":"Address","description":"Formatted address string of the WOZ object"},"city":{"type":"string","title":"City","description":"City in which the WOZ object is located"},"postalCode":{"type":"string","title":"Postalcode","description":"Zipcode of the WOZ object"},"houseNumber":{"type":"integer","title":"Huisnummer","description":"House number of the WOZ object"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extention","type":"string","nullable":true},"characteristics":{"description":"Characteristics of the WOZ object","allOf":[{"$ref":"#/components/schemas/Characteristics"}]},"wozValues":{"items":{"$ref":"#/components/schemas/WozValues"},"type":"array","title":"WOZ values","description":"WOZ values per valuation date."}},"type":"object","required":["id","address","city","postalCode","houseNumber","characteristics","wozValues"],"title":"WozValueResponse"},"Characteristics":{"properties":{"buildType":{"type":"string","title":"Buildtype","description":"Type of dwelling."},"buildYear":{"type":"integer","title":"Buildyear","description":"Indication of the year in which the building will originally be delivered in, or is architectually ready. Also known as construction year."},"usePurpose":{"type":"string","title":"Usepurpose","description":"The categorisation of the purposes of use of the relevant property object as stated in the permit or as established upon registration."},"useSurface":{"type":"integer","title":"Usesurface","description":"The usable surface area of a property object in square meters."}},"type":"object","required":["buildType","buildYear","usePurpose","useSurface"],"title":"Characteristics"},"WozValues":{"properties":{"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"},"wozValue":{"title":"Wozvalue","description":"WOZ value","type":"integer","nullable":true}},"type":"object","required":["valuationDate"],"title":"WozValues"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/woz-value":{"get":{"description":"Returns all WOZ values from 2015 onwards.","operationId":"wozWaarden","parameters":[{"description":"Zipcode","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extention","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"}],"responses":{"200":{"description":"WozValueResponse","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"$ref":"#/components/schemas/WozValueResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}}}}}}}
```

## The WozValueResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"WozValueResponse":{"properties":{"id":{"type":"string","title":"Bag nummeraanduidingid","description":"Identification number according to the BAG."},"address":{"type":"string","title":"Address","description":"Formatted address string of the WOZ object"},"city":{"type":"string","title":"City","description":"City in which the WOZ object is located"},"postalCode":{"type":"string","title":"Postalcode","description":"Zipcode of the WOZ object"},"houseNumber":{"type":"integer","title":"Huisnummer","description":"House number of the WOZ object"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extention","type":"string","nullable":true},"characteristics":{"description":"Characteristics of the WOZ object","allOf":[{"$ref":"#/components/schemas/Characteristics"}]},"wozValues":{"items":{"$ref":"#/components/schemas/WozValues"},"type":"array","title":"WOZ values","description":"WOZ values per valuation date."}},"type":"object","required":["id","address","city","postalCode","houseNumber","characteristics","wozValues"],"title":"WozValueResponse"},"Characteristics":{"properties":{"buildType":{"type":"string","title":"Buildtype","description":"Type of dwelling."},"buildYear":{"type":"integer","title":"Buildyear","description":"Indication of the year in which the building will originally be delivered in, or is architectually ready. Also known as construction year."},"usePurpose":{"type":"string","title":"Usepurpose","description":"The categorisation of the purposes of use of the relevant property object as stated in the permit or as established upon registration."},"useSurface":{"type":"integer","title":"Usesurface","description":"The usable surface area of a property object in square meters."}},"type":"object","required":["buildType","buildYear","usePurpose","useSurface"],"title":"Characteristics"},"WozValues":{"properties":{"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"},"wozValue":{"title":"Wozvalue","description":"WOZ value","type":"integer","nullable":true}},"type":"object","required":["valuationDate"],"title":"WozValues"}}}}
```
